From e29b5e5343cf661849b54235ec6e8fa9d8bbc04f Mon Sep 17 00:00:00 2001
From: tanghy <tanghy.fnst@fujitsu.com>
Date: Fri, 22 Jul 2022 23:15:20 +0800
Subject: [PATCH v1] fix memory leak in tab-completion.c


diff --git a/src/bin/psql/tab-complete.c b/src/bin/psql/tab-complete.c
index 92207d2e16..5f06768085 100644
--- a/src/bin/psql/tab-complete.c
+++ b/src/bin/psql/tab-complete.c
@@ -5158,6 +5158,8 @@ _complete_from_query(const char *simple_query,
 
 		/* Clean up */
 		termPQExpBuffer(&query_buffer);
+		free(schemaname);
+		free(objectname);
 		free(e_object_like);
 		free(e_schemaname);
 		free(e_ref_object);
-- 
2.34.1

